commit:     40028674bea386ed66259ade6807430a4dab7683
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 11 09:41:39 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Mar 11 09:41:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40028674

sys-cluster/rdma-core: add 39.0

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-cluster/rdma-core/Manifest                     |  1 +
 .../files/rdma-core-39.0-RDMA_BuildType.patch      | 12 +++
 sys-cluster/rdma-core/rdma-core-39.0.ebuild        | 96 ++++++++++++++++++++++
 3 files changed, 109 insertions(+)

diff --git a/sys-cluster/rdma-core/Manifest b/sys-cluster/rdma-core/Manifest
index 95a3fc29ed37..6d54badbb34f 100644
--- a/sys-cluster/rdma-core/Manifest
+++ b/sys-cluster/rdma-core/Manifest
@@ -1 +1,2 @@
 DIST rdma-core-38.0.tar.gz 1760189 BLAKE2B 
ab028ce9367353201748f19d05d4d02170920b155b7ebb3584043729422e377cfb4ae29ed442ce7f965faa2470fe558499e9b2e7da51f282fa65ab029d4bcaa9
 SHA512 
98b3e3d26675891d54652817851f172855443faf6950b5c17177f10f5b3b197778590ad0e9640ecceaba17cf4aceb276ddb145ab46c1f6af9d2f6954688c3239
+DIST rdma-core-39.0.tar.gz 1762652 BLAKE2B 
7fed2be57624451c660120c6360fedd15ffaff36608879a329c3f078b647cb325c94fc949ef14f99b3be8b43ffddee6759e7da2f88287adf4dee413658afb5db
 SHA512 
a003cae24cff6791a6281b1ab7cc1823fb08a74e03231bf846f8ebbd5fa447c8dd900357493108f6a2b22fd5dabd657fe42e1ce2f65a01746ce47a3222815459

diff --git a/sys-cluster/rdma-core/files/rdma-core-39.0-RDMA_BuildType.patch 
b/sys-cluster/rdma-core/files/rdma-core-39.0-RDMA_BuildType.patch
new file mode 100644
index 000000000000..969028358733
--- /dev/null
+++ b/sys-cluster/rdma-core/files/rdma-core-39.0-RDMA_BuildType.patch
@@ -0,0 +1,12 @@
+* RDMA_BuildType() tries to muck with CMAKE_BUILD_TYPE
+
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -199,7 +199,6 @@
+ 
+ #-------------------------
+ # Setup the basic C compiler
+-RDMA_BuildType()
+ include_directories(${BUILD_INCLUDE})
+ 
+ # Look for Python. We prefer some variant of python 3 if the system has it.

diff --git a/sys-cluster/rdma-core/rdma-core-39.0.ebuild 
b/sys-cluster/rdma-core/rdma-core-39.0.ebuild
new file mode 100644
index 000000000000..fec7d02b8032
--- /dev/null
+++ b/sys-cluster/rdma-core/rdma-core-39.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit cmake python-single-r1 udev systemd
+
+DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband 
subsystem"
+HOMEPAGE="https://github.com/linux-rdma/rdma-core";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core";
+else
+       SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+fi
+
+LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
+SLOT="0"
+IUSE="neigh python static-libs systemd valgrind"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       virtual/libudev:=
+       neigh? ( dev-libs/libnl:3 )
+       systemd? ( sys-apps/systemd:= )
+       valgrind? ( dev-util/valgrind )
+       python? ( ${PYTHON_DEPS} )"
+
+DEPEND="${COMMON_DEPEND}
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/cython[${PYTHON_USEDEP}]
+               ')
+       )"
+
+RDEPEND="${COMMON_DEPEND}
+       !sys-fabric/infiniband-diags
+       !sys-fabric/libibverbs
+       !sys-fabric/librdmacm
+       !sys-fabric/libibumad
+       !sys-fabric/ibacm
+       !sys-fabric/libibmad
+       !sys-fabric/srptools
+       !sys-fabric/infinipath-psm
+       !sys-fabric/libcxgb3
+       !sys-fabric/libcxgb4
+       !sys-fabric/libmthca
+       !sys-fabric/libmlx4
+       !sys-fabric/libmlx5
+       !sys-fabric/libocrdma
+       !sys-fabric/libnes"
+
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${PN}-39.0-RDMA_BuildType.patch )
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}"/etc
+               -DCMAKE_INSTALL_RUNDIR=/run
+               -DCMAKE_INSTALL_SHAREDSTATEDIR="${EPREFIX}"/var/lib
+               -DCMAKE_INSTALL_UDEV_RULESDIR="${EPREFIX}$(get_udevdir)"/rules.d
+               
-DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
+               -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex !systemd)"
+               -DENABLE_VALGRIND="$(usex valgrind)"
+               -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
+               -DENABLE_STATIC="$(usex static-libs)"
+               -DNO_PYVERBS="$(usex !python)"
+               -DNO_MAN_PAGES=1
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       udev_dorules "${ED}"/etc/udev/rules.d/70-persistent-ipoib.rules
+       rm -r "${ED}"/etc/{udev,init.d} || die
+
+       if use neigh; then
+               newinitd "${FILESDIR}"/ibacm.init ibacm
+               newinitd "${FILESDIR}"/iwpmd.init iwpmd
+       fi
+
+       newinitd "${FILESDIR}"/srpd.init srpd
+
+       use python && python_optimize
+}

Reply via email to